Subject: Re: Default linker output filename
From: [email-masked] (Long Doan)

6 Nov 1996 06:55:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; SunOS 5.4 sun4m)
Original-To: Chin Chee-Kai <[email-masked]>
Original-Cc: Geoffrey Noer <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

I think it would be better if a.out is a link instead of a.out.exe,
since Windows won't be able to execute a link. On the other hand, why
don't we just use bash (or some other shells) and be happy with a.out?

Long.

Chin Chee-Kai wrote:
> 
> IMHO, if it doesn't sound too far-fetched, perhaps creating
> the default output with filename "a.out" and then create
> a link file "a.out.exe-->a.out" will preserve most semantics
> that prep-scripts expect, and will allow human to just type
> the following :
>                 gcc test.c
>                 a.out
> as expected on Unix.
> 
> Chin Chee-Kai (Last, First)
> Internet Email-ID:      [email-masked]
> Gen Tech Corporation
> 
> > We are thinking about changing the default linker output filename from
> > a.out to aout.exe.  Can anyone think of any bad consequences that might
> > result?
> >
> > (My gut feeling is that a.out.exe might be problematic so I lean towards
> > aout.exe).
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".